Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.tasks
[Java] Interface ConventionValue

    @Deprecated
    public interface ConventionValue

A ConventionValue can be assigned to a org.gradle.api.internal.IConventionAware task. If a property of such an object is not set internally, a ConventionValue is used to calculate the value for the property.

deprecated:
  Use Closure or Callable instead.

Authors:
  Hans Dockter

Method Summary
`Object` | `getValue(Convention convention, IConventionAware conventionAwareObject)` Returns some object.

Method Detail

### getValue

    public Object getValue(Convention convention, IConventionAware conventionAwareObject)

  Returns some object.
  Parameters:
    `convention` - The convention object belonging to the task's project
    `conventionAwareObject` - The convention aware object

Gradle API 1.1-rc-1